Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins.temporal
Class Period

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.temporal.Period

    public class Period

extends Object

Constructor Summary
`Period(Temporal temporal, Date startDate, Date finishDate)`
`Period(Temporal temporal, Date startDate, Date finishDate)`
`Period(Temporal temporal, Date startDate, Date finishDate, int granularity)`
`Period(Temporal temporal, Date startDate, Date finishDate, int granularity)`
`Period(Temporal temporal, Instant instant)`
`Period(Temporal temporal, Instant startInstant, Instant finishInstant)`
`Period(Temporal temporal, Instant startInstant, Instant finishInstant, int granularity)`
`Period(Temporal temporal, Instant instant, int granularity)`
`Period(Temporal temporal, long startGranuleCount, long finishGranuleCount, int granularity)`
`Period(Temporal temporal, Period period)`
`Period(Temporal temporal, String startDatetime, String finishDatetime)`
`Period(Temporal temporal, String startDatetime, String finishDatetime, int granularity)`
`Period(Temporal temporal, Timestamp startTimestamp, Timestamp finishTimestamp)`
`Period(Temporal temporal, Timestamp startTimestamp, Timestamp finishTimestamp, int granularity)`

Method Summary
`void` | `addFinishGranuleCount(long granuleCount, int granularity)`
`void` | `addGranuleCount(long granuleCount, int granularity)`
`void` | `addStartGranuleCount(long granuleCount, int granularity)`
`boolean` | `adjacent(Period p2)`
`boolean` | `adjacent(Period p2, int granularity)`
`boolean` | `after(Period p2, int granularity)`
`boolean` | `before(Period p2, int granularity)`
`List<Period>` | `coalesce(List<Period> periods, int granularity)`
`Period` | `coalesce(Period p2, int granularity)`
`boolean` | `contains(Period p2)`
`boolean` | `contains(Period p2, int granularity)`
`boolean` | `couldBeInstant()`
`long` | `duration(int granularity)`
`boolean` | `during(Period p2)`
`boolean` | `during(Period p2, int granularity)`
`boolean` | `equals(Period p2, int granularity)`
`boolean` | `finished_by(Period p2)`
`boolean` | `finished_by(Period p2, int granularity)`
`boolean` | `finishes(Period p2)`
`boolean` | `finishes(Period p2, int granularity)`
`Date` | `getFinishDate()`
`Date` | `getFinishDate(int granularity)`
`String` | `getFinishDatetime()`
`String` | `getFinishDatetime(int granularity)`
`long` | `getFinishGranuleCount(int granularity)`
`Instant` | `getFinishInstant()`
`int` | `getGranularity()`
`Date` | `getStartDate()`
`Date` | `getStartDate(int granularity)`
`String` | `getStartDatetimeString()`
`String` | `getStartDatetimeString(int granularity)`
`long` | `getStartGranuleCount(int granularity)`
`Instant` | `getStartInstant()`
`Period` | `intersection(Period p2)`
`Period` | `intersection(Period p2, int granularity)`
`boolean` | `intersects(Period p2)`
`boolean` | `intersects(Period p2, int granularity)`
`boolean` | `meets(Period p2)`
`boolean` | `meets(Period p2, int granularity)`
`Period` | `merge(Period p2)`
`Period` | `merge(Period p2, int granularity)`
`boolean` | `met_by(Period p2)`
`boolean` | `met_by(Period p2, int granularity)`
`boolean` | `overlapped_by(Period p2)`
`boolean` | `overlapped_by(Period p2, int granularity)`
`boolean` | `overlaps(Period p2)`
`boolean` | `overlaps(Period p2, int granularity)`
`void` | `setFinishInstant(Instant instant)`
`void` | `setStartInstant(Instant instant)`
`boolean` | `started_by(Period p2)`
`boolean` | `started_by(Period p2, int granularity)`
`boolean` | `starts_after(Period p2)`
`boolean` | `starts_after(Period p2, int granularity)`
`boolean` | `starts_before(Period p2, int granularity)`
`boolean` | `starts(Period p2)`
`boolean` | `starts(Period p2, int granularity)`
`void` | `subtractFinishGranuleCount(long granuleCount, int granularity)`
`void` | `subtractGranuleCount(long granuleCount, int granularity)`
`void` | `subtractStartGranuleCount(long granuleCount, int granularity)`
`String` | `toString()`
`String` | `toString(int granularity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Period

    public Period(Temporal temporal,
                  long startGranuleCount,
                  long finishGranuleCount,
                  int granularity)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  String startDatetime,
                  String finishDatetime,
                  int granularity)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  String startDatetime,
                  String finishDatetime)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  Period period)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  Instant instant,
                  int granularity)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  Instant instant)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  Instant startInstant,
                  Instant finishInstant,
                  int granularity)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  Instant startInstant,
                  Instant finishInstant)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  Timestamp startTimestamp,
                  Timestamp finishTimestamp,
                  int granularity)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  Timestamp startTimestamp,
                  Timestamp finishTimestamp)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  Date startDate,
                  Date finishDate,
                  int granularity)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  Date startDate,
                  Date finishDate)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  Date startDate,
                  Date finishDate,
                  int granularity)
           throws TemporalException

Throws:
  `TemporalException`

### Period

    public Period(Temporal temporal,
                  Date startDate,
                  Date finishDate)
           throws TemporalException

Throws:
  `TemporalException`

Method Detail

### before

    public boolean before(Period p2,
                          int granularity)
                   throws TemporalException

  Throws:
    `TemporalException`

### starts_before

    public boolean starts_before(Period p2,
                                 int granularity)
                          throws TemporalException

  Throws:
    `TemporalException`

### starts_after

    public boolean starts_after(Period p2,
                                int granularity)
                         throws TemporalException

  Throws:
    `TemporalException`

### starts_after

    public boolean starts_after(Period p2)
                         throws TemporalException

  Throws:
    `TemporalException`

### after

    public boolean after(Period p2,
                         int granularity)
                  throws TemporalException

  Throws:
    `TemporalException`

### equals

    public boolean equals(Period p2,
                          int granularity)
                   throws TemporalException

  Throws:
    `TemporalException`

### meets

    public boolean meets(Period p2)
                  throws TemporalException

  Throws:
    `TemporalException`

### meets

    public boolean meets(Period p2,
                         int granularity)
                  throws TemporalException

  Throws:
    `TemporalException`

### met_by

    public boolean met_by(Period p2)
                   throws TemporalException

  Throws:
    `TemporalException`

### met_by

    public boolean met_by(Period p2,
                          int granularity)
                   throws TemporalException

  Throws:
    `TemporalException`

### overlaps

    public boolean overlaps(Period p2)
                     throws TemporalException

  Throws:
    `TemporalException`

### overlaps

    public boolean overlaps(Period p2,
                            int granularity)
                     throws TemporalException

  Throws:
    `TemporalException`

### overlapped_by

    public boolean overlapped_by(Period p2)
                          throws TemporalException

  Throws:
    `TemporalException`

### overlapped_by

    public boolean overlapped_by(Period p2,
                                 int granularity)
                          throws TemporalException

  Throws:
    `TemporalException`

### during

    public boolean during(Period p2)
                   throws TemporalException

  Throws:
    `TemporalException`

### during

    public boolean during(Period p2,
                          int granularity)
                   throws TemporalException

  Throws:
    `TemporalException`

### contains

    public boolean contains(Period p2)
                     throws TemporalException

  Throws:
    `TemporalException`

### contains

    public boolean contains(Period p2,
                            int granularity)
                     throws TemporalException

  Throws:
    `TemporalException`

### starts

    public boolean starts(Period p2)
                   throws TemporalException

  Throws:
    `TemporalException`

### starts

    public boolean starts(Period p2,
                          int granularity)
                   throws TemporalException

  Throws:
    `TemporalException`

### started_by

    public boolean started_by(Period p2)
                       throws TemporalException

  Throws:
    `TemporalException`

### started_by

    public boolean started_by(Period p2,
                              int granularity)
                       throws TemporalException

  Throws:
    `TemporalException`

### finishes

    public boolean finishes(Period p2)
                     throws TemporalException

  Throws:
    `TemporalException`

### finishes

    public boolean finishes(Period p2,
                            int granularity)
                     throws TemporalException

  Throws:
    `TemporalException`

### finished_by

    public boolean finished_by(Period p2)
                        throws TemporalException

  Throws:
    `TemporalException`

### finished_by

    public boolean finished_by(Period p2,
                               int granularity)
                        throws TemporalException

  Throws:
    `TemporalException`

### adjacent

    public boolean adjacent(Period p2)
                     throws TemporalException

  Throws:
    `TemporalException`

### adjacent

    public boolean adjacent(Period p2,
                            int granularity)
                     throws TemporalException

  Throws:
    `TemporalException`

### intersects

    public boolean intersects(Period p2)
                       throws TemporalException

  Throws:
    `TemporalException`

### intersects

    public boolean intersects(Period p2,
                              int granularity)
                       throws TemporalException

  Throws:
    `TemporalException`

### intersection

    public Period intersection(Period p2)
                        throws TemporalException

  Throws:
    `TemporalException`

### intersection

    public Period intersection(Period p2,
                               int granularity)
                        throws TemporalException

  Throws:
    `TemporalException`

### merge

    public Period merge(Period p2)
                 throws TemporalException

  Throws:
    `TemporalException`

### merge

    public Period merge(Period p2,
                        int granularity)
                 throws TemporalException

  Throws:
    `TemporalException`

### duration

    public long duration(int granularity)
                  throws TemporalException

  Throws:
    `TemporalException`

### coalesce

    public List<Period> coalesce(List<Period> periods,
                                 int granularity)
                          throws TemporalException

  Throws:
    `TemporalException`

### addGranuleCount

    public void addGranuleCount(long granuleCount,
                                int granularity)
                         throws TemporalException

  Throws:
    `TemporalException`

### subtractGranuleCount

    public void subtractGranuleCount(long granuleCount,
                                     int granularity)
                              throws TemporalException

  Throws:
    `TemporalException`

### addStartGranuleCount

    public void addStartGranuleCount(long granuleCount,
                                     int granularity)
                              throws TemporalException

  Throws:
    `TemporalException`

### addFinishGranuleCount

    public void addFinishGranuleCount(long granuleCount,
                                      int granularity)
                               throws TemporalException

  Throws:
    `TemporalException`

### subtractStartGranuleCount

    public void subtractStartGranuleCount(long granuleCount,
                                          int granularity)
                                   throws TemporalException

  Throws:
    `TemporalException`

### subtractFinishGranuleCount

    public void subtractFinishGranuleCount(long granuleCount,
                                           int granularity)
                                    throws TemporalException

  Throws:
    `TemporalException`

### coalesce

    public Period coalesce(Period p2,
                           int granularity)
                    throws TemporalException

  Throws:
    `TemporalException`

### setStartInstant

    public void setStartInstant(Instant instant)
                         throws TemporalException

  Throws:
    `TemporalException`

### setFinishInstant

    public void setFinishInstant(Instant instant)
                          throws TemporalException

  Throws:
    `TemporalException`

### getStartDatetimeString

    public String getStartDatetimeString()
                                  throws TemporalException

  Throws:
    `TemporalException`

### getStartDate

    public Date getStartDate()
                      throws TemporalException

  Throws:
    `TemporalException`

### getStartInstant

    public Instant getStartInstant()

### getStartDatetimeString

    public String getStartDatetimeString(int granularity)
                                  throws TemporalException

  Throws:
    `TemporalException`

### getStartDate

    public Date getStartDate(int granularity)
                      throws TemporalException

  Throws:
    `TemporalException`

### getFinishDatetime

    public String getFinishDatetime()
                             throws TemporalException

  Throws:
    `TemporalException`

### getFinishDate

    public Date getFinishDate()
                       throws TemporalException

  Throws:
    `TemporalException`

### getFinishInstant

    public Instant getFinishInstant()

### getFinishDatetime

    public String getFinishDatetime(int granularity)
                             throws TemporalException

  Throws:
    `TemporalException`

### getFinishDate

    public Date getFinishDate(int granularity)
                       throws TemporalException

  Throws:
    `TemporalException`

### getStartGranuleCount

    public long getStartGranuleCount(int granularity)
                              throws TemporalException

  Throws:
    `TemporalException`

### getFinishGranuleCount

    public long getFinishGranuleCount(int granularity)
                               throws TemporalException

  Throws:
    `TemporalException`

### couldBeInstant

    public boolean couldBeInstant()
                           throws TemporalException

  Throws:
    `TemporalException`

### toString

    public String toString(int granularity)
                    throws TemporalException

  Throws:
    `TemporalException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getGranularity

    public int getGranularity()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.